Subject: Re: bug#37345: Icecat doesn't display numbers on Guix System

From: Jesse Gibbons <[email-masked]>
Date: Sun, 08 Sep 2019 19:05:22 -0600

Hi Jan,
On Mon, 2019-09-09 at 00:18 +0200, Jan wrote:
> Okay, I found some probably more helpful info - I run icecat in a
> terminal and it throws the following warnings, don't know if they're
> related to this bug though:
> ...
> (/gnu/store/8pjdh78z3j2issz78yjmf94k3hlkrb5f-icecat-60.9.0-
> guix1/lib/icecat/.icecat-real:4648):
> Pango-WARNING **: 22:11:58.541: failed to create cairo scaled font,
> expect ugly output. the offending font is 'Nimbus Sans L
> 9.9990234375'
> 
> (/gnu/store/8pjdh78z3j2issz78yjmf94k3hlkrb5f-icecat-60.9.0-
> guix1/lib/icecat/.icecat-real:4648):
> Pango-WARNING **: 22:11:58.541: font_face status is: file not found
> 
> (/gnu/store/8pjdh78z3j2issz78yjmf94k3hlkrb5f-icecat-60.9.0-
> guix1/lib/icecat/.icecat-real:4648):
> Pango-WARNING **: 22:11:58.541: scaled_font status is: file not found
> 
> (/gnu/store/8pjdh78z3j2issz78yjmf94k3hlkrb5f-icecat-60.9.0-
> guix1/lib/icecat/.icecat-real:4648):
> Pango-WARNING **: 22:11:58.541: shaping failure, expect ugly output.
> shape-engine='PangoFcShapeEngine', font='Nimbus Sans L 9.9990234375',
> text=''
> 
> (/gnu/store/8pjdh78z3j2issz78yjmf94k3hlkrb5f-icecat-60.9.0-
> guix1/lib/icecat/.icecat-real:4648):
> Pango-WARNING **: 22:11:58.546: failed to create cairo scaled font,
> expect ugly output. the offending font is 'Nimbus Sans L
> 9.9990234375'
> 
> (/gnu/store/8pjdh78z3j2issz78yjmf94k3hlkrb5f-icecat-60.9.0-
> guix1/lib/icecat/.icecat-real:4648):
> Pango-WARNING **: 22:11:58.546: font_face status is: file not found
> 
> (/gnu/store/8pjdh78z3j2issz78yjmf94k3hlkrb5f-icecat-60.9.0-
> guix1/lib/icecat/.icecat-real:4648):
> Pango-WARNING **: 22:11:58.546: scaled_font status is: file not found
> 
> 
> ...
> -----------------------
> 
> Jan Wielkiewicz
> 
> 
> 
Looks like it isn't finding the "Nimbus Sans L" font. Try running 

fc-list | grep "Nimbus Sans L"

and reply with the output.
-- 
-Jesse